package es.verdnatura.presentation.view.feature.workermistake.model

data class MistakeType(
    var code: String = "",
    var description: String = ""
)

data class ExpeditionMistakeSalix(
    var expeditionFk: Int,
    var typeFk: String,
    var workerFk: Int

)

data class DepartmentMistake(
    var id: Int? = null,
    var name: String = ""
)

data class WorkerFromMistake(
    var id: Int? = null,
    var firstName: String = "",
    var lastName: String = ""
)

data class WorkerMistakeSalix(
    var userFk: Int,
    var workerMistakeTypeFk: String,
)

data class SaleMistakeSalix(
    var userFk: Number,
    var typeFk: Number,
    var saleFk: Number
)

data class WorkerMistakeTypeList(
    var list: List<MistakeType> = listOf()
)

data class DepartmentMistakeList(
    var list: List<DepartmentMistake> = listOf()
)

data class WorkerFromMistakeList(
    var list: List<WorkerFromMistake> = listOf()
)

data class MakeMultiSalix(
    var shelvingFk: String,
    var items: List<Long>,
    var warehouseFk: Int
)

data class SaleTrackingDelSalix(
    var saleFk: Int,
    var stateCodes: List<String>
)

